Multivariate Pattern Analysis in Python

# mvpa2.misc.io.base.XAVRSensorLocations

class `mvpa2.misc.io.base.``XAVRSensorLocations`(source)

  Read sensor location definitions from a specific text file format.

  File layout is assumed to be 5 columns:

  > 1. sensor name
  > 2. some useless integer
  > 3. position on x-axis
  > 4. position on y-axis
  > 5. position on z-axis

  Attributes

  `ncolumns` | Returns the number of columns.
  `nrows` | Returns the number of rows.

  Methods

  `clear`(() -> None. Remove all items from D.) |
  `copy`(() -> a shallow copy of D) |
  `fromkeys`(…) | v defaults to None.
  `get`((k[,d]) -> D[k] if k in D, …) |
  `has_key`((k) -> True if D has a key k, else False) |
  `items`(() -> list of D’s (key, value) pairs, …) |
  `iteritems`(() -> an iterator over the (key, …) |
  `iterkeys`(() -> an iterator over the keys of D) |
  `itervalues`(…) |
  `keys`(() -> list of D’s keys) |
  `locations`() | Get the sensor locations as an array.
  `pop`((k[,d]) -> v, …) | If key is not found, d is returned if given, otherwise KeyError is raised
  `popitem`(() -> (k, v), …) | 2-tuple; but raise KeyError if D is empty.
  `select_samples`(selection) | Return new ColumnData with selected samples
  `setdefault`((k[,d]) -> D.get(k,d), …) |
  `tofile`(filename[, header, header_order, sep]) | Write column data to a text file.
  `update`(([E, …) | If E present and has a .keys() method, does: for k in E: D[k] = E[k]
  `values`(() -> list of D’s values) |
  `viewitems`(…) |
  `viewkeys`(…) |
  `viewvalues`(…) |

  Read sensor locations from file.

  Parameters: | source : filename of an attribute file

  Attributes

  `ncolumns` | Returns the number of columns.
  `nrows` | Returns the number of rows.

  Methods

  `clear`(() -> None. Remove all items from D.) |
  `copy`(() -> a shallow copy of D) |
  `fromkeys`(…) | v defaults to None.
  `get`((k[,d]) -> D[k] if k in D, …) |
  `has_key`((k) -> True if D has a key k, else False) |
  `items`(() -> list of D’s (key, value) pairs, …) |
  `iteritems`(() -> an iterator over the (key, …) |
  `iterkeys`(() -> an iterator over the keys of D) |
  `itervalues`(…) |
  `keys`(() -> list of D’s keys) |
  `locations`() | Get the sensor locations as an array.
  `pop`((k[,d]) -> v, …) | If key is not found, d is returned if given, otherwise KeyError is raised
  `popitem`(() -> (k, v), …) | 2-tuple; but raise KeyError if D is empty.
  `select_samples`(selection) | Return new ColumnData with selected samples
  `setdefault`((k[,d]) -> D.get(k,d), …) |
  `tofile`(filename[, header, header_order, sep]) | Write column data to a text file.
  `update`(([E, …) | If E present and has a .keys() method, does: for k in E: D[k] = E[k]
  `values`(() -> list of D’s values) |
  `viewitems`(…) |
  `viewkeys`(…) |
  `viewvalues`(…) |